Optimize reports/logs deletion rake task
Status: Rejected   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Performance   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1757188 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7241,

https://github.com/theforeman/foreman/p

ull/7072

  

Description

How reproducible:

In customer environments with a lot of content hosts and puppet check-ins

Steps to Reproduce:

1. We had seen customer environments where logs table contain a ton of data with logs table sometimes consuming more than

35GB.

su - postgres c "psql foreman -c \"select count(*) from logs;\""

count

---------

539298

(1 row)

Actual results:

Degradation of Satellite performance since postgres queries too long to finish

Expected results:

Logs table should be cleaned up automatically to keep the number of records at an optimum level - say 50k records.

Additional info:

History

#1 - 10/01/2019 06:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/7072 added

#2 - 12/11/2019 11:36 AM - Lukas Zapletal

- Subject changed from Automatic cleanup of logs table

 to Optimize reports/logs deletion rake task

- Triaged changed from No to Yes

#3 - 12/11/2019 11:39 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7241 added

#4 - 04/02/2020 12:40 PM - Lukas Zapletal

- Status changed from Ready For Testing to Rejected

These patches were too complex with unclear results, let's focus on refactoring reports storage from scratch.
